/** @file fifo_tests.cpp
 * This file contains the test repository.
 *
 * @author Mikhail Chupilko (chupilko@ispras.ru)
 */

#include <utils/testreg.h>
#include <fifo_scen.h>

using namespace cpptesk::examples::fifo;

/// Instances of the ExampleScenario class
ExampleScenario scen_rnd;
ExampleScenario scen_fsm;

TEST_REGISTRY_BEGIN
REGISTER_TEST(scen_rnd, engine::rnd, "-nt -uerr=1 --length 10000 --parallel")
REGISTER_TEST(scen_fsm, engine::fsm, "-nt -uerr=1")
TEST_REGISTRY_END

