/*
 * Copyright 2010 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <atl/object.hpp>
#include <c_tracer/c_tracer.h>
#include <ts/generated.h>
#include <ts/scenario.h>
#include <ts/scenario.hpp>
#include <ts/cpp_iface.hpp>
#include <generator.h>

namespace cpptesk {
namespace ts {

int localmain(TestEngine *engine, CppTestScenario *test, int argc, char **argv) {
	enable_cplusplus_mode(1);
	::localmain(engine, (TestScenario*)test, argc, argv);
}

}}

